##=================================ITEM TYPE ITEM FUNCTION=================================##

#-------------------------------------------------------------------------------------------#
#WHAT IF I WANT TO MAKE THIS ENCHANTMENT INCOMPATIBLE WITH OTHERS (CUSTOM/VANILLA)?

## Step1
#In that case you need to specify in the main command some parameters using the data storage
# "teplus:tech_anvil.ui ResultItem.tag." and specify the enchantments using th path:
#  .Enchantments[{}]: for vanilla enchantments
#  .CustomEnchantments[{}]: for TE+ custom enchantments
#  .CustomCurse[{}]: for TE+ custom curses

# For example if I want an enchantment be incompatible with Protection and Flaming Skin I will
#  do something like: 

execute if data storage teplus:tech_anvil.ench TeplusEnchantments[{id:"Withering"}] unless data storage teplus:tech_anvil.ui ResultItem.tag.CustomEnchantments[{id:"FireballWave"}] unless data storage teplus:tech_anvil.ui ResultItem.tag.CustomEnchantments[{id:"ShockFangs"}] run function tepad_withering:teplus/techanv/interaction/merge/withering


# Step2
#Now there is an extra step that needs to be done, in case this enchantment is already in
# the item and is trying to add incompatible ones. In this case you need to add a command for
# every single incompatible enchantment following this format:

#Taking the example of Flaming Skin and Protection as incompatible enchantments
execute if data storage teplus:tech_anvil.ui ResultItem.tag.CustomEnchantments[{id:"Withering"}] if data storage teplus:tech_anvil.ench TeplusEnchantments[{id:"FireballWave"}] run function tepad_withering:teplus/techanv/interaction/item_type/incompatible
execute if data storage teplus:tech_anvil.ui ResultItem.tag.CustomEnchantments[{id:"Withering"}] if data storage teplus:tech_anvil.ench TeplusEnchantments[{id:"ShockFangs"}] run function tepad_withering:teplus/techanv/interaction/item_type/incompatible

#Notice that we call a function named as "incompatible"
#We also use a different storage, in this case "teplus:tech_anvil.ench"
# -TeplusEnchantments: for TE+ custom enchantments
# -TeplusCurses: for TE+ custom curses
# -TeplusVanilla: for vanilla enchantments

#Note: you can also ask Frektip to add incompatibilities to the main TE+ datapack with your
# addon enchantment. In case you want to make it incompatible with another addon then ask the
# same for that creator. /j, but it can theoretically be done that way hahaha

##=========================================================================================##
